Bug 1427210 - [RFE] Query and Display OpenShift Metrics ad-hoc
Summary: [RFE] Query and Display OpenShift Metrics ad-hoc
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: GA
: 5.8.0
Assignee: Yaacov Zamir
QA Contact: Einat Pacifici
URL:
Whiteboard: container
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-27 15:25 UTC by Loic Avenel
Modified: 2017-05-31 14:36 UTC (History)
9 users (show)

Fixed In Version: 5.8.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 14:36:56 UTC
Category: ---
Cloudforms Team: Container Management
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Loic Avenel 2017-02-27 15:25:38 UTC
Description of problem: Capability to query Metrics from OpenShift and display it in CloudForms UI

Comment 5 Federico Simoncelli 2017-04-10 14:44:03 UTC
Yaacov can you add links here for the ad-hoc metrics. Just the most significant PRs (not all the small improvements you added over the time).
Then I think we can move this to ON_QA.

Comment 6 Yaacov Zamir 2017-04-10 15:23:58 UTC
Ad Hoc metrics main PR's:

Discovery of ad-hoc metrics only for the _ops teanat:
https://github.com/ManageIQ/manageiq/pull/12165

Adding ability to use any tenant and discovery of tenants:
https://github.com/ManageIQ/manageiq-ui-classic/pull/30

Comment 7 Einat Pacifici 2017-04-27 11:53:22 UTC
Verified. user is now able to view ad-hoc metrics when navigating to Providers --> Monitoring --> Ad-hoc metrics.

Comment 9 errata-xmlrpc 2017-05-31 14:36:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.